Bug 108620 - Preference to permanently enable local cursor
Summary: Preference to permanently enable local cursor
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Jaison Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-06 03:24 UTC by chris-kde
Modified: 2008-09-29 15:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chris-kde 2005-07-06 03:24:20 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Gentoo Packages
OS:                Linux

I find myself checking "Always show local cursor" on over half the sessions I open.
It would be convenient if I could just set this globally in the preferences and never touch it again.
(of course, I understand this is a pretty minor convenience and will probably not be a priority of any kind)
Comment 1 Joseph Reagle 2006-01-30 23:07:49 UTC
I think this option is available:

  -c, --local-cursor        Show local cursor (VNC only)
If so, this should be closed.
Comment 2 chris-kde 2006-01-31 00:20:33 UTC
What I'm saying is, it would be nice to have as a global configuration option so I don't always have to choose it in the GUI or remember to put it on the command line.
Comment 3 Jaison Lee 2006-01-31 01:28:52 UTC
Standard disclaimer: KRDC is currently unmaintained, and as long as it remains so its future is uncertain.

However, if KRDC survives to the next release of KDE, I will try and get this in there one way or the other. :) It bugs me too.
Comment 4 Andreas Kling 2006-07-16 16:20:38 UTC
SVN commit 563036 by kling:

Make "always show local cursor" and "view only" permanently configurable via krdcrc.
Since we're in a GUI/message freeze, I can't add any GUI to these options until KDE4.

The options and their defaults are:

viewOnly=false
alwaysShowLocalCursor=false

BUG: 96174
BUG: 108620


 M  +3 -0      krdc.cpp  
 M  +2 -1      main.cpp  


--- branches/KDE/3.5/kdenetwork/krdc/krdc.cpp #563035:563036
@@ -21,6 +21,7 @@
 #include "hostpreferences.h"
 
 #include <kapplication.h>
+#include <kconfig.h>
 #include <kdebug.h>
 #include <kcombobox.h>
 #include <kurl.h>
@@ -185,6 +186,8 @@
 			break;
 	}
 
+	m_view->setViewOnly(kapp->config()->readBoolEntry("viewOnly", false));
+
 	m_scrollView->addChild(m_view);
 	QWhatsThis::add(m_view, i18n("Here you can see the remote desktop. If the other side allows you to control it, you can also move the mouse, click or enter keystrokes. If the content does not fit your screen, click on the toolbar's full screen button or scale button. To end the connection, just close the window."));
 
--- branches/KDE/3.5/kdenetwork/krdc/main.cpp #563035:563036
@@ -21,6 +21,7 @@
 #include <kapplication.h>
 #include <klocale.h>
 #include <kmessagebox.h>
+#include <kconfig.h>
 #include <kdebug.h>
 #include <kwallet.h>
 #include <qwindowdefs.h>
@@ -102,7 +103,7 @@
 	QString keymap = QString::null;
 	WindowMode wm = WINDOW_MODE_AUTO;
 	bool scale = false;
-	bool localCursor = false;
+	bool localCursor = kapp->config()->readBoolEntry("alwaysShowLocalCursor", false);
 	QSize initialWindowSize;
 
 	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
Comment 5 Thomas Hartwig 2008-09-29 15:01:48 UTC
Can this reopened please. This is not fixed in KDE 4.1.1. I think it never was.